Name:		gzip
Summary:	The GNU data compression program
Version:	1.14
Release:	%mkrel 1
License:	GPLv3+
Group:		Archiving/Compression
URL:		https://www.gnu.org/software/gzip/
Source0:	https://ftp.gnu.org/gnu/gzip/gzip-%{version}.tar.xz
Source1:	https://ftp.gnu.org/gnu/gzip/gzip-%{version}.tar.xz.sig
BuildRequires:	less
BuildRequires:	texinfo

Requires:	mktemp

%description
The gzip package contains the popular GNU gzip data compression
program. Gzipped files have a .gz extension.

Gzip should be installed on your Mageia system, because it is a
very commonly used data compression program.

%prep
%autosetup -p1

%build
export DEFS="-DNO_ASM"
export CPPFLAGS="-DHAVE_LSTAT"

%configure

%make_build

%check
%__make check

%install
%make_install

for i in zcmp zdiff zforce zgrep zmore znew ; do
	sed -i -e "s|%{buildroot}||g" %{buildroot}%{_bindir}/$i
	chmod 755 %{buildroot}%{_bindir}/$i
done

# uncompress is a part of ncompress package
rm -f %{buildroot}%{_bindir}/uncompress

%files
%doc NEWS README AUTHORS ChangeLog
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/*


%changelog
* Thu Apr 10 2025 daviddavid <daviddavid> 1.14-1.mga10
+ Revision: 2174559
- new version: 1.14

* Fri Apr 05 2024 wally <wally> 1.13-2.mga10
+ Revision: 2054621
- basesystem rebuild for i686

* Sat Oct 28 2023 daviddavid <daviddavid> 1.13-1.mga10
+ Revision: 2002377
- new version: 1.13

* Fri Apr 08 2022 kekepower <kekepower> 1.12-1.mga9
+ Revision: 1848005
- Update to version 1.12

* Fri Mar 18 2022 umeabot <umeabot> 1.11-2.mga9
+ Revision: 1797872
- Mageia 9 Mass Rebuild

* Fri Sep 03 2021 luigiwalser <luigiwalser> 1.11-1.mga9
+ Revision: 1744248
- 1.11

* Fri Apr 17 2020 joequant <joequant> 1.10-4.mga8
+ Revision: 1567976
- remove zless and less dependency. less automatically
  views compressed files

* Thu Apr 16 2020 tv <tv> 1.10-3.mga8
+ Revision: 1567761
- remove info-install dep

* Fri Feb 14 2020 umeabot <umeabot> 1.10-2.mga8
+ Revision: 1521733
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 30 2018 luigiwalser <luigiwalser> 1.10-1.mga7
+ Revision: 1347115
- 1.10
- remove upstream patch

* Mon Sep 03 2018 tv <tv> 1.9-3.mga7
+ Revision: 1256517
- Patch 1: fix build
- rely on filetriggers for info system (mga#23482)
+ kekepower <kekepower>
- Use __make check

* Thu Jan 11 2018 shlomif <shlomif> 1.9-2.mga7
+ Revision: 1192405
- remove trail space
+ kekepower <kekepower>
- Removed old patches based on feedback from upstream dev
- See https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30040
- Cleaned up spec file a little

* Wed Jan 10 2018 mokraemer <mokraemer> 1.9-1.mga7
+ Revision: 1191998
- gzip release 1.9

* Wed Apr 27 2016 luigiwalser <luigiwalser> 1.8-1.mga6
+ Revision: 1006806
- 1.8

* Mon Mar 28 2016 luigiwalser <luigiwalser> 1.7-1.mga6
+ Revision: 995995
- 1.7
- remove patches 0, 4, 5, and 18 (fixed upstream)

* Mon Feb 15 2016 umeabot <umeabot> 1.6-9.mga6
+ Revision: 960604
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 1.6-8.mga6
+ Revision: 867477
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 1.6-7.mga5
+ Revision: 742418
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6-6.mga5
+ Revision: 680068
- Mageia 5 Mass Rebuild

* Fri Apr 11 2014 wally <wally> 1.6-5.mga5
+ Revision: 613468
- update rsyncable patch to improve indentation in --help output

* Fri Apr 11 2014 wally <wally> 1.6-4.mga5
+ Revision: 613460
- update rsyncable patch to add info about --rsyncable switch to man page (mga#13195)

* Sun Jan 19 2014 tarakbumba <tarakbumba> 1.6-3.mga4
+ Revision: 566898
- Fix race condition in zgrep-signal test, where subcommand writes to a pipe before the ':' commend exists

* Sat Oct 19 2013 umeabot <umeabot> 1.6-2.mga4
+ Revision: 532946
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 luigiwalser <luigiwalser> 1.6-1.mga4
+ Revision: 450920
- 1.6
- remove addsuffix patch (fixed upstream)
- rediff cve-2006-4336 patch

* Sat Jan 12 2013 umeabot <umeabot> 1.5-3.mga3
+ Revision: 353065
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 colin <colin> 1.5-2.mga3
+ Revision: 273158
- Update for usrmove

* Tue Jun 19 2012 luigiwalser <luigiwalser> 1.5-1.mga3
+ Revision: 261930
- 1.5
- update URLs
- remove patch3 (better fix upstream)
- rediff patch4
- rediff patch5
- rediff patch7
- rediff patch13
- rediff patch14
- rediff patch15
- rediff patch16
- rediff patch17

* Fri Jan 07 2011 tmb <tmb> 1.4-3.mga2
+ Revision: 270
- imported package gzip


* Fri Jan  7 2011 Thomas Backlund <tmb@mageia.org> 1.4-3.mga1
- initial import
- change Manriva to Mageia

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4-2mdv2011.0
+ Revision: 605516
- rebuild

* Thu Jan 21 2010 Funda Wang <fwang@mandriva.org> 1.4-1mdv2010.1
+ Revision: 494602
- New version 1.4
- patch for CVE-2010-0001 merged

* Wed Jan 20 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.14-1mdv2010.1
+ Revision: 494077
- 1.3.14
- drop the zdiff-compressed patch, applied upstream
- P17: security fix for CVE-2009-2624 (redhat, corrects CVE-2006-4335)
- P18: security fix for CVE-2010-0001 (redhat/upstream)

* Sun Dec 27 2009 Funda Wang <fwang@mandriva.org> 1.3.13-1mdv2010.1
+ Revision: 482676
- new version 1.3.13

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.3.12-5mdv2010.0
+ Revision: 425085
- rebuild

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.12-4mdv2009.1
+ Revision: 316214
- rediffed some fuzzy patches

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.3.12-3mdv2009.0
+ Revision: 221123
- rebuild

* Thu Jan 10 2008 Olivier Blin <oblin@mandriva.com> 1.3.12-2mdv2008.1
+ Revision: 147614
- fix zdiffing compressed files (patch from Ole Tange, on bug-gzip ML)
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.12-1mdv2008.0
+ Revision: 51587
- new version
- rediff patch 0
- provide patch 17
- export some flags
- some minor cleans


* Fri Mar 09 2007 David Walluck <walluck@mandriva.org> 1.3.11-5mdv2007.1
+ Revision: 140251
- run %%{make} check
- %%exclude %%{_bindir}/uncompress to prevent conflict with ncompress

  + Olivier Blin <oblin@mandriva.com>
    - remove uncompress, it is in the ncompress package (#29317)

* Fri Mar 09 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.3.11-2mdv2007.1
+ Revision: 138812
- add info-install ass requires(preun) too
- wipe out buildroot before installing
- remove variables defines on top as they get redefined
- cosmetics

  + Olivier Blin <oblin@mandriva.com>
    - gzip does do anything special anymore if called as gunzip or zcat, keep the real gunzip and zcat binaries

* Fri Mar 09 2007 David Walluck <walluck@mandriva.org> 1.3.11-1mdv2007.1
+ Revision: 138639
- 1.3.11 + patches (from Fedora)

  + Stew Benedict <sbenedict@mandriva.com>
    - try to add the sources again
    - 1.3.10
    - rediff, uncompress P9
    - drop P11 (CVE-2005-1228) - merged upstream
    - drop P12 (CVE-2005-0988) - merged upstream
    - drop P13 (CVE-2005-0758) - merged upstream
    - rediff P14

  + Emmanuel Andry <eandry@mandriva.org>
    - Import gzip

* Fri Sep 22 2006 Stew Benedict <sbenedict@mandriva.com> 1.3.5-3mdv2007.0
- P14: security fix for CVE-2006-4344,4345,4346,4347,4348

* Tue May 09 2006 Stew Benedict <sbenedict@mandriva.com> 1.3.5-2mdk
- still need P13 - used Fedora's

* Tue May 09 2006 Stew Benedict <sbenedict@mandriva.com> 1.3.5-1mdk
- 1.3.5, source URL
- drop P0-P8, redo P9, drop P10, redo P12, drop P13
- update Requires(pre)

* Tue Jan 31 2006 Olivier Blin <oblin@mandriva.com> 1.2.4a-19mdk
- from Vincent Danen: updated P13 for a more comprehensive fix for CVE-2005-0758

* Fri Jan 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4a-18mdk
- rebuild

* Thu Jan 19 2006 Olivier Blin <oblin@mandriva.com> 1.2.4a-17mdk
- strip gzip before find-debuginfo.sh breaks the hard links
  (to be LSB compliant, though it makes the debug package useless)

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.2.4a-16mdk
- Rebuild

* Thu May 26 2005 Olivier Blin <oblin@mandriva.com> 1.2.4a-15mdk
- fix invalid word in description
- security update (from Stew Benedict) for:
  - CAN-2005-1228 (P11)
  - CAN-2005-0988 (P12)
  - CAN-2005-0758 (P13)

* Tue Dec 07 2004 Olivier Blin <blino@mandrake.org> 1.2.4a-14mdk
- fix some remaining temp file issues (CAN-2004-0970); only in zdiff, we 
  took care of the rest with an earlier update

* Thu Jul 01 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.4a-13mdk
- rebuild
- gc is no longer the packager
- desc: Mandrakelinux

